<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: DayZCreatureAI Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d1b/class_day_z_creature_a_i.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">DayZCreatureAI Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>do not process rotations !  
 <a href="../../df/d1b/class_day_z_creature_a_i.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9e2ebc277735ca941e72464f26d061a3"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html">DayZAnimalInputController</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a9e2ebc277735ca941e72464f26d061a3">GetInputController</a> ()</td></tr>
<tr class="separator:a9e2ebc277735ca941e72464f26d061a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49e5c822fb4b1f266641c22f6fc8ffc"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#ab49e5c822fb4b1f266641c22f6fc8ffc">StartCommand_Death</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pType, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pDirection)</td></tr>
<tr class="separator:ab49e5c822fb4b1f266641c22f6fc8ffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e522757e9009601fac4d150bc79c78"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#ad5e522757e9009601fac4d150bc79c78">StartCommand_Move</a> ()</td></tr>
<tr class="separator:ad5e522757e9009601fac4d150bc79c78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a2a990708521dbd5243dd17bc237ef8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a3a2a990708521dbd5243dd17bc237ef8">StartCommand_Jump</a> ()</td></tr>
<tr class="separator:a3a2a990708521dbd5243dd17bc237ef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a779372ce2b89e3d31de0c57a956e636b"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a779372ce2b89e3d31de0c57a956e636b">StartCommand_Attack</a> ()</td></tr>
<tr class="separator:a779372ce2b89e3d31de0c57a956e636b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f8f62cc6d52accc6906fbd8e967c278"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a2f8f62cc6d52accc6906fbd8e967c278">StartCommand_Hit</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pType, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pDirection)</td></tr>
<tr class="separator:a2f8f62cc6d52accc6906fbd8e967c278"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c6c403df4aaa8c94a946d4d028a38de"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a2c6c403df4aaa8c94a946d4d028a38de">StartCommand_Script</a> (<a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a> pInfectedCommand)</td></tr>
<tr class="memdesc:a2c6c403df4aaa8c94a946d4d028a38de"><td class="mdescLeft">&#160;</td><td class="mdescRight">scripted commands  <a href="../../df/d1b/class_day_z_creature_a_i.html#a2c6c403df4aaa8c94a946d4d028a38de">More...</a><br /></td></tr>
<tr class="separator:a2c6c403df4aaa8c94a946d4d028a38de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d98d804e673628e853ca509b5d6469"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#ab7d98d804e673628e853ca509b5d6469">StartCommand_ScriptInst</a> (<a class="el" href="../../d2/db4/classtypename.html">typename</a> pCallbackClass)</td></tr>
<tr class="separator:ab7d98d804e673628e853ca509b5d6469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54ac5236858ac07d302aa3583e3dc7ae"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a54ac5236858ac07d302aa3583e3dc7ae">GetCommand_Script</a> ()</td></tr>
<tr class="separator:a54ac5236858ac07d302aa3583e3dc7ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af146784cc80c24e65e9fc76f758f7062"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#af146784cc80c24e65e9fc76f758f7062">SignalAIAttackStarted</a> ()</td></tr>
<tr class="separator:af146784cc80c24e65e9fc76f758f7062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1291150e4863113bc5ec1b5ed0ad94fd"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a1291150e4863113bc5ec1b5ed0ad94fd">SignalAIAttackEnded</a> ()</td></tr>
<tr class="separator:a1291150e4863113bc5ec1b5ed0ad94fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64d19b0206ed0ca0b58faec968506e70"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a64d19b0206ed0ca0b58faec968506e70">DayZAnimal</a> ()</td></tr>
<tr class="separator:a64d19b0206ed0ca0b58faec968506e70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9aa06ab53ad0308c56a0e82e11ad4337"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a9aa06ab53ad0308c56a0e82e11ad4337">IsHealthVisible</a> ()</td></tr>
<tr class="separator:a9aa06ab53ad0308c56a0e82e11ad4337"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fbb921427b5419e15d3fdc7f96af6b0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a1fbb921427b5419e15d3fdc7f96af6b0">IsAnimal</a> ()</td></tr>
<tr class="separator:a1fbb921427b5419e15d3fdc7f96af6b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0a963c9dbab95e45f60c69eefac75aa"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#aa0a963c9dbab95e45f60c69eefac75aa">IsInventoryVisible</a> ()</td></tr>
<tr class="separator:aa0a963c9dbab95e45f60c69eefac75aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe20ba5146af6ee178cb809b834b67ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#abe20ba5146af6ee178cb809b834b67ce">CommandHandler</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> dt, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> currentCommandID, <a class="el" href="../../d9/db9/classbool.html">bool</a> currentCommandFinished)</td></tr>
<tr class="separator:abe20ba5146af6ee178cb809b834b67ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70e50fe8c0f5d2d1e815d0d628291dab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a70e50fe8c0f5d2d1e815d0d628291dab">ModCommandHandlerBefore</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pCurrentCommandID, <a class="el" href="../../d9/db9/classbool.html">bool</a> pCurrentCommandFinished)</td></tr>
<tr class="separator:a70e50fe8c0f5d2d1e815d0d628291dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e979240e3fc563a366b0281d4afe764"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a5e979240e3fc563a366b0281d4afe764">ModCommandHandlerInside</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pCurrentCommandID, <a class="el" href="../../d9/db9/classbool.html">bool</a> pCurrentCommandFinished)</td></tr>
<tr class="separator:a5e979240e3fc563a366b0281d4afe764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6bf62667771ad88a578663096d74a9d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#ae6bf62667771ad88a578663096d74a9d">ModCommandHandlerAfter</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> pDt, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pCurrentCommandID, <a class="el" href="../../d9/db9/classbool.html">bool</a> pCurrentCommandFinished)</td></tr>
<tr class="separator:ae6bf62667771ad88a578663096d74a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cf964a71d487c6262a35051ca3627eb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a1cf964a71d487c6262a35051ca3627eb">HandleDeath</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> currentCommandID, <a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html">DayZAnimalInputController</a> inputController)</td></tr>
<tr class="separator:a1cf964a71d487c6262a35051ca3627eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b9444172e4104f704750b581ca15c05"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a5b9444172e4104f704750b581ca15c05">HandleDamageHit</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> currentCommandID)</td></tr>
<tr class="separator:a5b9444172e4104f704750b581ca15c05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4434ca8ae9ac4d8a46b707dd761d10"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a7d4434ca8ae9ac4d8a46b707dd761d10">EEHitBy</a> (<a class="el" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damageResult, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> damageType, <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> dmgZone, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammo, <a class="el" href="../../d7/dfc/classvector.html">vector</a> modelPos, <a class="el" href="../../d4/dc3/classfloat.html">float</a> speedCoef)</td></tr>
<tr class="separator:a7d4434ca8ae9ac4d8a46b707dd761d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af641aa36fea6d6b47db72a27009c1b32"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#af641aa36fea6d6b47db72a27009c1b32">QueueDamageHit</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> direction)</td></tr>
<tr class="separator:af641aa36fea6d6b47db72a27009c1b32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62fce37061bb7d65ccf3a49bf6fa0fd9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a62fce37061bb7d65ccf3a49bf6fa0fd9">ComputeDamageHitParams</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> dmgZone, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ammo, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> type, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> direction)</td></tr>
<tr class="separator:a62fce37061bb7d65ccf3a49bf6fa0fd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8e642ffd0d66804a1292c0e34b0af47"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#ae8e642ffd0d66804a1292c0e34b0af47">ComputeHitDirectionAngleDeg</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> source)</td></tr>
<tr class="separator:ae8e642ffd0d66804a1292c0e34b0af47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb32199bb959b1b92c7cf1e27763af7d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#afb32199bb959b1b92c7cf1e27763af7d">TranslateHitAngleDegToDirectionIndex</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> angleDeg)</td></tr>
<tr class="separator:afb32199bb959b1b92c7cf1e27763af7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af014e311a3e18694d29ba5312626d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a5af014e311a3e18694d29ba5312626d2">FindComponentDirectionOffset</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c.html#af773dec082e0ba8221810d6fe6f5b67b">component</a>)</td></tr>
<tr class="separator:a5af014e311a3e18694d29ba5312626d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40b2708cce6b805c63d81e1deab3f22c"><td class="memItemLeft" align="right" valign="top">override protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a40b2708cce6b805c63d81e1deab3f22c">EOnContact</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> <a class="el" href="../../d5/d71/_car_script_8c.html#adbbef30aba7b6095441413e50771e4fd">other</a>, <a class="el" href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a> extra)</td></tr>
<tr class="separator:a40b2708cce6b805c63d81e1deab3f22c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54cfd1e2dc2881132fdd291835ef186f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a54cfd1e2dc2881132fdd291835ef186f">RegisterHitComponentsForAI</a> ()</td></tr>
<tr class="memdesc:a54cfd1e2dc2881132fdd291835ef186f"><td class="mdescLeft">&#160;</td><td class="mdescRight">register hit components for AI melee (used by attacking AI)  <a href="../../df/d1b/class_day_z_creature_a_i.html#a54cfd1e2dc2881132fdd291835ef186f">More...</a><br /></td></tr>
<tr class="separator:a54cfd1e2dc2881132fdd291835ef186f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40d9cac355cca685499f4061138989f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#aa40d9cac355cca685499f4061138989f">GetHitComponentForAI</a> ()</td></tr>
<tr class="separator:aa40d9cac355cca685499f4061138989f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adecabcd4c39bdc13c578f7105835eee6"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#adecabcd4c39bdc13c578f7105835eee6">GetDefaultHitComponent</a> ()</td></tr>
<tr class="separator:adecabcd4c39bdc13c578f7105835eee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61a1c154c4096d3327a3ecbd6ecdd650"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a61a1c154c4096d3327a3ecbd6ecdd650">GetDefaultHitPositionComponent</a> ()</td></tr>
<tr class="separator:a61a1c154c4096d3327a3ecbd6ecdd650"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7489bde99f17d03340a97ee76e7a1547"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a7489bde99f17d03340a97ee76e7a1547">GetDefaultHitPosition</a> ()</td></tr>
<tr class="separator:a7489bde99f17d03340a97ee76e7a1547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeef082d99a22bb5f218e55e0d7673f70"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#aeef082d99a22bb5f218e55e0d7673f70">SetDefaultHitPosition</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pSelection)</td></tr>
<tr class="separator:aeef082d99a22bb5f218e55e0d7673f70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ae49d6952483b3d09be81d8402f9a16"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a7ae49d6952483b3d09be81d8402f9a16">ConvertNonlethalDamage</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> damage)</td></tr>
<tr class="separator:a7ae49d6952483b3d09be81d8402f9a16"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a07515d650edb03eef0d63c411ad54b68"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a07515d650edb03eef0d63c411ad54b68">m_HitComponentsForAI</a></td></tr>
<tr class="memdesc:a07515d650edb03eef0d63c411ad54b68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Melee hit components (AI targeting)  <a href="../../df/d1b/class_day_z_creature_a_i.html#a07515d650edb03eef0d63c411ad54b68">More...</a><br /></td></tr>
<tr class="separator:a07515d650edb03eef0d63c411ad54b68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a783772bc87d7001dae199ce0ec385c04"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a783772bc87d7001dae199ce0ec385c04">m_DefaultHitComponent</a></td></tr>
<tr class="separator:a783772bc87d7001dae199ce0ec385c04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad716a0ad8a61cdaa3085fcd1658b768"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#aad716a0ad8a61cdaa3085fcd1658b768">m_DefaultHitPositionComponent</a></td></tr>
<tr class="separator:aad716a0ad8a61cdaa3085fcd1658b768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a170e432f5527b23b2bc00521b1f3444a"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a170e432f5527b23b2bc00521b1f3444a">m_DefaultHitPosition</a></td></tr>
<tr class="separator:a170e432f5527b23b2bc00521b1f3444a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291ff5a2cd9d07cd06295de69b053dba"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a291ff5a2cd9d07cd06295de69b053dba">m_DamageHitToProcess</a> = false</td></tr>
<tr class="separator:a291ff5a2cd9d07cd06295de69b053dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5719eb00ceee6f0b1433062f95629d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#a0a5719eb00ceee6f0b1433062f95629d">m_DamageHitType</a> = 0</td></tr>
<tr class="separator:a0a5719eb00ceee6f0b1433062f95629d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad13097f68cc043c4f43ea12fe5576ad3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html#ad13097f68cc043c4f43ea12fe5576ad3">m_DamageHitDirection</a> = 0</td></tr>
<tr class="separator:ad13097f68cc043c4f43ea12fe5576ad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >do not process rotations ! </p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00396">396</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="abe20ba5146af6ee178cb809b834b67ce" name="abe20ba5146af6ee178cb809b834b67ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe20ba5146af6ee178cb809b834b67ce">&#9670;&#160;</a></span>CommandHandler()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZCreatureAI::CommandHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>currentCommandID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>currentCommandFinished</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >for mods</p>
<p >for mods</p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00449">449</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a62fce37061bb7d65ccf3a49bf6fa0fd9" name="a62fce37061bb7d65ccf3a49bf6fa0fd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62fce37061bb7d65ccf3a49bf6fa0fd9">&#9670;&#160;</a></span>ComputeDamageHitParams()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::ComputeDamageHitParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>dmgZone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00614">614</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="ae8e642ffd0d66804a1292c0e34b0af47" name="ae8e642ffd0d66804a1292c0e34b0af47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8e642ffd0d66804a1292c0e34b0af47">&#9670;&#160;</a></span>ComputeHitDirectionAngleDeg()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZCreatureAI::ComputeHitDirectionAngleDeg </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00626">626</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a7ae49d6952483b3d09be81d8402f9a16" name="a7ae49d6952483b3d09be81d8402f9a16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ae49d6952483b3d09be81d8402f9a16">&#9670;&#160;</a></span>ConvertNonlethalDamage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> DayZCreatureAI::ConvertNonlethalDamage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>damage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00750">750</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a64d19b0206ed0ca0b58faec968506e70" name="a64d19b0206ed0ca0b58faec968506e70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64d19b0206ed0ca0b58faec968506e70">&#9670;&#160;</a></span>DayZAnimal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZCreatureAI::DayZAnimal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >sets default hit position and cache it here (mainly for impact particles)</p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00421">421</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a7d4434ca8ae9ac4d8a46b707dd761d10" name="a7d4434ca8ae9ac4d8a46b707dd761d10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d4434ca8ae9ac4d8a46b707dd761d10">&#9670;&#160;</a></span>EEHitBy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void DayZCreatureAI::EEHitBy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a>&#160;</td>
          <td class="paramname"><em>damageResult</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>damageType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>component</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>dmgZone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>ammo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>modelPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>speedCoef</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00582">582</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a40b2708cce6b805c63d81e1deab3f22c" name="a40b2708cce6b805c63d81e1deab3f22c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40b2708cce6b805c63d81e1deab3f22c">&#9670;&#160;</a></span>EOnContact()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override protected void DayZCreatureAI::EOnContact </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a>&#160;</td>
          <td class="paramname"><em>extra</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Phx contact event </p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00691">691</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a5af014e311a3e18694d29ba5312626d2" name="a5af014e311a3e18694d29ba5312626d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5af014e311a3e18694d29ba5312626d2">&#9670;&#160;</a></span>FindComponentDirectionOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZCreatureAI::FindComponentDirectionOffset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>component</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00661">661</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a54ac5236858ac07d302aa3583e3dc7ae" name="a54ac5236858ac07d302aa3583e3dc7ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54ac5236858ac07d302aa3583e3dc7ae">&#9670;&#160;</a></span>GetCommand_Script()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a> DayZCreatureAI::GetCommand_Script </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adecabcd4c39bdc13c578f7105835eee6" name="adecabcd4c39bdc13c578f7105835eee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adecabcd4c39bdc13c578f7105835eee6">&#9670;&#160;</a></span>GetDefaultHitComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZCreatureAI::GetDefaultHitComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00730">730</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a7489bde99f17d03340a97ee76e7a1547" name="a7489bde99f17d03340a97ee76e7a1547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7489bde99f17d03340a97ee76e7a1547">&#9670;&#160;</a></span>GetDefaultHitPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/dfc/classvector.html">vector</a> DayZCreatureAI::GetDefaultHitPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00740">740</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a61a1c154c4096d3327a3ecbd6ecdd650" name="a61a1c154c4096d3327a3ecbd6ecdd650"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61a1c154c4096d3327a3ecbd6ecdd650">&#9670;&#160;</a></span>GetDefaultHitPositionComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZCreatureAI::GetDefaultHitPositionComponent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00735">735</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="aa40d9cac355cca685499f4061138989f" name="aa40d9cac355cca685499f4061138989f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40d9cac355cca685499f4061138989f">&#9670;&#160;</a></span>GetHitComponentForAI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZCreatureAI::GetHitComponentForAI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00718">718</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a9e2ebc277735ca941e72464f26d061a3" name="a9e2ebc277735ca941e72464f26d061a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e2ebc277735ca941e72464f26d061a3">&#9670;&#160;</a></span>GetInputController()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html">DayZAnimalInputController</a> DayZCreatureAI::GetInputController </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5b9444172e4104f704750b581ca15c05" name="a5b9444172e4104f704750b581ca15c05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b9444172e4104f704750b581ca15c05">&#9670;&#160;</a></span>HandleDamageHit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::HandleDamageHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>currentCommandID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00567">567</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a1cf964a71d487c6262a35051ca3627eb" name="a1cf964a71d487c6262a35051ca3627eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cf964a71d487c6262a35051ca3627eb">&#9670;&#160;</a></span>HandleDeath()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::HandleDeath </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>currentCommandID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/d21/class_day_z_animal_input_controller.html">DayZAnimalInputController</a>&#160;</td>
          <td class="paramname"><em>inputController</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00539">539</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a1fbb921427b5419e15d3fdc7f96af6b0" name="a1fbb921427b5419e15d3fdc7f96af6b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fbb921427b5419e15d3fdc7f96af6b0">&#9670;&#160;</a></span>IsAnimal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::IsAnimal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00439">439</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a9aa06ab53ad0308c56a0e82e11ad4337" name="a9aa06ab53ad0308c56a0e82e11ad4337"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9aa06ab53ad0308c56a0e82e11ad4337">&#9670;&#160;</a></span>IsHealthVisible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::IsHealthVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00434">434</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="aa0a963c9dbab95e45f60c69eefac75aa" name="aa0a963c9dbab95e45f60c69eefac75aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0a963c9dbab95e45f60c69eefac75aa">&#9670;&#160;</a></span>IsInventoryVisible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::IsInventoryVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00444">444</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="ae6bf62667771ad88a578663096d74a9d" name="ae6bf62667771ad88a578663096d74a9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6bf62667771ad88a578663096d74a9d">&#9670;&#160;</a></span>ModCommandHandlerAfter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::ModCommandHandlerAfter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandFinished</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00530">530</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a70e50fe8c0f5d2d1e815d0d628291dab" name="a70e50fe8c0f5d2d1e815d0d628291dab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70e50fe8c0f5d2d1e815d0d628291dab">&#9670;&#160;</a></span>ModCommandHandlerBefore()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::ModCommandHandlerBefore </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandFinished</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >ModOverrides </p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00520">520</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a5e979240e3fc563a366b0281d4afe764" name="a5e979240e3fc563a366b0281d4afe764"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e979240e3fc563a366b0281d4afe764">&#9670;&#160;</a></span>ModCommandHandlerInside()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::ModCommandHandlerInside </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>pDt</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>pCurrentCommandFinished</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00525">525</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="af641aa36fea6d6b47db72a27009c1b32" name="af641aa36fea6d6b47db72a27009c1b32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af641aa36fea6d6b47db72a27009c1b32">&#9670;&#160;</a></span>QueueDamageHit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZCreatureAI::QueueDamageHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>direction</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00607">607</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a54cfd1e2dc2881132fdd291835ef186f" name="a54cfd1e2dc2881132fdd291835ef186f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54cfd1e2dc2881132fdd291835ef186f">&#9670;&#160;</a></span>RegisterHitComponentsForAI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void DayZCreatureAI::RegisterHitComponentsForAI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>register hit components for AI melee (used by attacking AI) </p>
<p >registers default hit compoent for the entity</p>
<p >registers default hit position component for entity</p>
<p >register hit components that are selected by probability</p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00707">707</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="aeef082d99a22bb5f218e55e0d7673f70" name="aeef082d99a22bb5f218e55e0d7673f70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeef082d99a22bb5f218e55e0d7673f70">&#9670;&#160;</a></span>SetDefaultHitPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> DayZCreatureAI::SetDefaultHitPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pSelection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00745">745</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a1291150e4863113bc5ec1b5ed0ad94fd" name="a1291150e4863113bc5ec1b5ed0ad94fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1291150e4863113bc5ec1b5ed0ad94fd">&#9670;&#160;</a></span>SignalAIAttackEnded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::SignalAIAttackEnded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af146784cc80c24e65e9fc76f758f7062" name="af146784cc80c24e65e9fc76f758f7062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af146784cc80c24e65e9fc76f758f7062">&#9670;&#160;</a></span>SignalAIAttackStarted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::SignalAIAttackStarted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a779372ce2b89e3d31de0c57a956e636b" name="a779372ce2b89e3d31de0c57a956e636b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a779372ce2b89e3d31de0c57a956e636b">&#9670;&#160;</a></span>StartCommand_Attack()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::StartCommand_Attack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab49e5c822fb4b1f266641c22f6fc8ffc" name="ab49e5c822fb4b1f266641c22f6fc8ffc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49e5c822fb4b1f266641c22f6fc8ffc">&#9670;&#160;</a></span>StartCommand_Death()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::StartCommand_Death </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pDirection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f8f62cc6d52accc6906fbd8e967c278" name="a2f8f62cc6d52accc6906fbd8e967c278"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f8f62cc6d52accc6906fbd8e967c278">&#9670;&#160;</a></span>StartCommand_Hit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::StartCommand_Hit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pDirection</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a2a990708521dbd5243dd17bc237ef8" name="a3a2a990708521dbd5243dd17bc237ef8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a2a990708521dbd5243dd17bc237ef8">&#9670;&#160;</a></span>StartCommand_Jump()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::StartCommand_Jump </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5e522757e9009601fac4d150bc79c78" name="ad5e522757e9009601fac4d150bc79c78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5e522757e9009601fac4d150bc79c78">&#9670;&#160;</a></span>StartCommand_Move()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void DayZCreatureAI::StartCommand_Move </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2c6c403df4aaa8c94a946d4d028a38de" name="a2c6c403df4aaa8c94a946d4d028a38de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c6c403df4aaa8c94a946d4d028a38de">&#9670;&#160;</a></span>StartCommand_Script()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a> DayZCreatureAI::StartCommand_Script </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a>&#160;</td>
          <td class="paramname"><em>pInfectedCommand</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>scripted commands </p>

</div>
</div>
<a id="ab7d98d804e673628e853ca509b5d6469" name="ab7d98d804e673628e853ca509b5d6469"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7d98d804e673628e853ca509b5d6469">&#9670;&#160;</a></span>StartCommand_ScriptInst()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../df/d55/_day_z_animal_8c.html#a2563100cd0606ecc985e831390163a3c">DayZAnimalCommandScript</a> DayZCreatureAI::StartCommand_ScriptInst </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/db4/classtypename.html">typename</a> pCallbackClass&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afb32199bb959b1b92c7cf1e27763af7d" name="afb32199bb959b1b92c7cf1e27763af7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb32199bb959b1b92c7cf1e27763af7d">&#9670;&#160;</a></span>TranslateHitAngleDegToDirectionIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZCreatureAI::TranslateHitAngleDegToDirectionIndex </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>angleDeg</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00647">647</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ad13097f68cc043c4f43ea12fe5576ad3" name="ad13097f68cc043c4f43ea12fe5576ad3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad13097f68cc043c4f43ea12fe5576ad3">&#9670;&#160;</a></span>m_DamageHitDirection</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZCreatureAI::m_DamageHitDirection = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00537">537</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a291ff5a2cd9d07cd06295de69b053dba" name="a291ff5a2cd9d07cd06295de69b053dba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a291ff5a2cd9d07cd06295de69b053dba">&#9670;&#160;</a></span>m_DamageHitToProcess</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> DayZCreatureAI::m_DamageHitToProcess = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00535">535</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a0a5719eb00ceee6f0b1433062f95629d" name="a0a5719eb00ceee6f0b1433062f95629d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5719eb00ceee6f0b1433062f95629d">&#9670;&#160;</a></span>m_DamageHitType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DayZCreatureAI::m_DamageHitType = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00536">536</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a783772bc87d7001dae199ce0ec385c04" name="a783772bc87d7001dae199ce0ec385c04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a783772bc87d7001dae199ce0ec385c04">&#9670;&#160;</a></span>m_DefaultHitComponent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZCreatureAI::m_DefaultHitComponent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00401">401</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a170e432f5527b23b2bc00521b1f3444a" name="a170e432f5527b23b2bc00521b1f3444a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a170e432f5527b23b2bc00521b1f3444a">&#9670;&#160;</a></span>m_DefaultHitPosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d7/dfc/classvector.html">vector</a> DayZCreatureAI::m_DefaultHitPosition</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00403">403</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="aad716a0ad8a61cdaa3085fcd1658b768" name="aad716a0ad8a61cdaa3085fcd1658b768"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad716a0ad8a61cdaa3085fcd1658b768">&#9670;&#160;</a></span>m_DefaultHitPositionComponent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> DayZCreatureAI::m_DefaultHitPositionComponent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00402">402</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<a id="a07515d650edb03eef0d63c411ad54b68" name="a07515d650edb03eef0d63c411ad54b68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07515d650edb03eef0d63c411ad54b68">&#9670;&#160;</a></span>m_HitComponentsForAI</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d8/d88/class_day_z_a_i_hit_component.html">DayZAIHitComponent</a>&gt; DayZCreatureAI::m_HitComponentsForAI</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Melee hit components (AI targeting) </p>

<p class="definition">Definition at line <a class="el" href="../../df/d55/_day_z_animal_8c_source.html#l00400">400</a> of file <a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Entities/<a class="el" href="../../df/d55/_day_z_animal_8c_source.html">DayZAnimal.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d1b/class_day_z_creature_a_i.html">DayZCreatureAI</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
